Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.PortfolioNode Class Reference
Inheritance diagram for com.foxit.sdk.pdf.PortfolioNode:

## Public Member Functions
| PortfolioNode (PortfolioNode other)
| Constructor, with another portfolio node object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getNodeType () throws com.foxit.sdk.PDFException
| Get node type. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
static final int | e_TypeFile = 2
| Portfolio node type: file.
static final int | e_TypeFolder = 1
| Portfolio node type: folder.
static final int | e_TypeUnknown = 0
| Unknown portfolio node type.

## Detailed Description

Class PortfolioNode is the base class for all types of portfolio nodes.

## Constructor & Destructor Documentation

## ◆ PortfolioNode()

com.foxit.sdk.pdf.PortfolioNode.PortfolioNode | ( | PortfolioNode | other | ) |

Constructor, with another portfolio node object.

Parameters

  [in] | other | Another PDF portfolio folder object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.PortfolioNode.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

Reimplemented in com.foxit.sdk.pdf.PortfolioFolderNode, and com.foxit.sdk.pdf.PortfolioFileNode.

## ◆ getNodeType()

int com.foxit.sdk.pdf.PortfolioNode.getNodeType | ( |  | ) | throws com.foxit.sdk.PDFException

Get node type.

Returns
  Node type. Please refer to values starting from com.foxit.sdk.pdf.PortfolioNode.e_TypeFolder and this would be one of these values.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.PortfolioNode.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.